/************************************************************************
 **
 **  @file   drawtools.h
 **  @author Roman Telezhynskyi <dismine(at)gmail.com>
 **  @date   November 15, 2013
 **
 **  @brief
 **  @copyright
 **  This source code is part of the Valentine project, a pattern making
 **  program, whose allow create and modeling patterns of clothing.
 **  Copyright (C) 2013-2015 Valentina project
 **  <https://bitbucket.org/dismine/valentina> All Rights Reserved.
 **
 **  Valentina is free software: you can redistribute it and/or modify
 **  it under the terms of the GNU General Public License as published by
 **  the Free Software Foundation, either version 3 of the License, or
 **  (at your option) any later version.
 **
 **  Valentina is distributed in the hope that it will be useful,
 **  but WITHOUT ANY WARRANTY; without even the implied warranty of
 **  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 **  GNU General Public License for more details.
 **
 **  You should have received a copy of the GNU General Public License
 **  along with Valentina.  If not, see <http://www.gnu.org/licenses/>.
 **
 *************************************************************************/

#ifndef DRAWTOOLS_H
#define DRAWTOOLS_H

#include "toolpoint/toolsinglepoint/toollinepoint/vtoolalongline.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolbisector.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolendline.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolnormal.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolshoulderpoint.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolheight.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoollineintersectaxis.h"
#include "toolpoint/toolsinglepoint/toollinepoint/vtoolcurveintersectaxis.h"
#include "toolcurve/vtoolarc.h"
#include "toolcurve/vtoolellipticalarc.h"
#include "toolcurve/vtoolarcwithlength.h"
#include "toolcurve/vtoolspline.h"
#include "toolcurve/vtoolcubicbezier.h"
#include "toolcurve/vtoolsplinepath.h"
#include "toolcurve/vtoolcubicbezierpath.h"
#include "vtoolline.h"
#include "toolpoint/toolsinglepoint/toolcut/vtoolcutspline.h"
#include "toolpoint/toolsinglepoint/toolcut/vtoolcutsplinepath.h"
#include "toolpoint/toolsinglepoint/toolcut/vtoolcutarc.h"
#include "toolpoint/toolsinglepoint/vtoollineintersect.h"
#include "toolpoint/toolsinglepoint/vtoolpointofcontact.h"
#include "toolpoint/toolsinglepoint/vtoolbasepoint.h"
#include "toolpoint/toolsinglepoint/vtooltriangle.h"
#include "toolpoint/toolsinglepoint/vtoolpointofintersection.h"
#include "toolpoint/toolsinglepoint/vtoolpointofintersectionarcs.h"
#include "toolpoint/toolsinglepoint/vtoolpointofintersectioncircles.h"
#include "toolpoint/toolsinglepoint/vtoolpointofintersectioncurves.h"
#include "toolpoint/toolsinglepoint/vtoolpointfromcircleandtangent.h"
#include "toolpoint/toolsinglepoint/vtoolpointfromarcandtangent.h"
#include "toolpoint/tooldoublepoint/vtooltruedarts.h"
#include "operation/vtoolrotation.h"
#include "operation/flipping/vtoolflippingbyline.h"
#include "operation/flipping/vtoolflippingbyaxis.h"
#include "operation/vtoolmove.h"

#endif // DRAWTOOLS_H
